# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{hashery}
  s.version = "1.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Thomas Sawyer", "Kirk Haines", "Robert Klemme", "Jan Molic", "George Moschovitis", "Jeena Paradies", "Erik Veenstra"]
  s.date = %q{2011-01-19}
  s.description = %q{The Hashery is a collection of Hash-like classes, spun-off from the original Ruby Facets library. Included are the widely used OrderedHash, the related but more featured Dictionary class, a number of open classes, similiar to the standard OpenStruct and a few variations on the standard Hash.}
  s.email = %q{transfire@gmail.com}
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = [".ruby", "lib/hashery/association.rb", "lib/hashery/basic_struct.rb", "lib/hashery/basicobject.rb", "lib/hashery/basicstruct.rb", "lib/hashery/casting_hash.rb", "lib/hashery/castinghash.rb", "lib/hashery/dictionary.rb", "lib/hashery/fuzzy_hash.rb", "lib/hashery/fuzzyhash.rb", "lib/hashery/ini.rb", "lib/hashery/linked_list.rb", "lib/hashery/linkedlist.rb", "lib/hashery/lru_hash.rb", "lib/hashery/lruhash.rb", "lib/hashery/memoizer.rb", "lib/hashery/open_cascade.rb", "lib/hashery/open_hash.rb", "lib/hashery/open_object.rb", "lib/hashery/opencascade.rb", "lib/hashery/openhash.rb", "lib/hashery/openobject.rb", "lib/hashery/ordered_hash.rb", "lib/hashery/orderedhash.rb", "lib/hashery/ostructable.rb", "lib/hashery/property_hash.rb", "lib/hashery/propertyhash.rb", "lib/hashery/query_hash.rb", "lib/hashery/queryhash.rb", "lib/hashery/sparse_array.rb", "lib/hashery/sparsearray.rb", "lib/hashery/stash.rb", "lib/hashery/static_hash.rb", "lib/hashery/statichash.rb", "lib/hashery.rb", "lib/hashery.yml", "qed/01_openhash.rdoc", "qed/02_queryhash.rdoc", "qed/03_castinghash.rdoc", "qed/04_statichash.rdoc", "qed/05_association.rdoc", "qed/06_opencascade.rdoc", "qed/07_fuzzyhash.rdoc", "qed/08_properyhash.rdoc", "qed/09_ostructable.rdoc", "qed/applique/ae.rb", "test/case_association.rb", "test/case_dictionary.rb", "test/case_opencascade.rb", "test/case_openhash.rb", "test/case_openobject.rb", "test/case_sparsearray.rb", "test/case_stash.rb", "HISTORY.rdoc", "LICENSE", "README.rdoc", "NOTICE"]
  s.homepage = %q{http://rubyworks.github.com/hashery}
  s.licenses = ["Apache 2.0"]
  s.rdoc_options = ["--title", "Hashery API", "--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{hashery}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Facets-bread collection of Hash-like classes.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<syckle>, [">= 0"])
      s.add_development_dependency(%q<qed>, [">= 0"])
    else
      s.add_dependency(%q<syckle>, [">= 0"])
      s.add_dependency(%q<qed>, [">= 0"])
    end
  else
    s.add_dependency(%q<syckle>, [">= 0"])
    s.add_dependency(%q<qed>, [">= 0"])
  end
end
